<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  トピック投稿メールの送信
 *
 *  @access public
 *  @param  integer $user_id            ユーザID
 *  @param  integer $topic_id           トピックID
 *  @param  string  $author_name        投稿者名称
 *  @param  string  $topic_subject      タイトル
 */
function pbb_sendTopicMail($user_id, $topic_id, $author_name, $topic_subject)
{
    // トピックメール機能の設定チェック
    if (!IS_TOPIC_MAIL)
        return;

    // ユーザ情報の取得
    $user_profile = db_get_user($user_id);

    // メールアドレスの復元
    $email = pocket_decrypt($user_profile['email'], POCKET_BBS_ENCRYPT_KEY);

    // メールタイトル設定
    $subject = '【 ' . BBS_NAME . ' 】トピック投稿のお知らせ';

    // メール本文設定
    $apl_name = BBS_NAME;
    $url = pocket_getSiteUrl();
    $body = <<<EOD
$apl_name からのお知らせです。

$author_name さんからトピックが投稿されました。

タイトル：$topic_subject

$apl_name の該当記事ページ
$url?m=pc&a=topicComment.view&topic_id=$topic_id
EOD;

    // メール送信
    $mailObject = new Pocket_Mail();
    $mailObject->send($email, $email, $subject, $body);
}

/**
 *  コメント投稿メールの送信
 *
 *  @access public
 *  @param  integer $user_id            ユーザID
 *  @param  integer $topic_id           トピックID
 *  @param  string  $author_name        投稿者名称
 */
function pbb_sendCommentMail($user_id, $topic_id, $author_name)
{
    // コメントメール機能の設定チェック
    if (!IS_COMMENT_MAIL)
        return;

    // ユーザ情報の取得
    $user_profile = db_get_user($user_id);

    // メールアドレスの復元
    $email = pocket_decrypt($user_profile['email'], POCKET_BBS_ENCRYPT_KEY);

    // メールタイトル設定
    $subject = '【 ' . BBS_NAME . ' 】コメント投稿のお知らせ';

    // メール本文設定
    $apl_name = BBS_NAME;
    $url = pocket_getSiteUrl();
    $body = <<<EOD
$apl_name からのお知らせです。

$author_name さんからコメントが投稿されました。

$apl_name の該当記事ページ
$url?m=pc&a=topicComment.view&topic_id=$topic_id
EOD;

    // メール送信
    $mailObject = new Pocket_Mail();
    $mailObject->send($email, $email, $subject, $body);
}

?>
