<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  BBS設定画面（管理）表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.pc.view
 */
class configBbsAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // BBS設定情報の設定
        $this->assign('bbs_name'       , BBS_NAME);
        $this->assign('bbs_intro'      , BBS_INTRO);
        $this->assign('news_size'      , NEWS_SIZE);
        $this->assign('page_size'      , PAGE_SIZE);
        $this->assign('is_topic_entry' , IS_TOPIC_ENTRY);
        $this->assign('is_topic_mail'  , IS_TOPIC_MAIL);
        $this->assign('is_comment_mail', IS_COMMENT_MAIL);
        
        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('bbs_name'       , $request['BBS_NAME']);
            $this->assign('bbs_intro'      , $request['BBS_INTRO']);
            $this->assign('news_size'      , $request['NEWS_SIZE']);
            $this->assign('page_size'      , $request['PAGE_SIZE']);
            $this->assign('is_topic_entry' , $request['IS_TOPIC_ENTRY']);
            $this->assign('is_topic_mail'  , $request['IS_TOPIC_MAIL']);
            $this->assign('is_comment_mail', $request['IS_COMMENT_MAIL']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '管理画面-' . 'BBS設定');

        // メッセージの設定
        $this->assign('message', $request['msg']);

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
